! WHIZARD 3.0.0_beta+ Aug 30 2020
!
! Copyright (C) 1999-2020 by
!     Wolfgang Kilian <kilian@physik.uni-siegen.de>
!     Thorsten Ohl <ohl@physik.uni-wuerzburg.de>
!     Juergen Reuter <juergen.reuter@desy.de>
!
!     with contributions from
!     cf. main AUTHORS file
!
! WHIZARD is free software; you can redistribute it and/or modify it
! under the terms of the GNU General Public License as published by
! the Free Software Foundation; either version 2, or (at your option)
! any later version.
!
! WHIZARD is distributed in the hope that it will be useful, but
! WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! This file has been stripped of most comments.  For documentation, refer
! to the source 'whizard.nw'

module sm_qed

  use kinds, only: default
  use io_units
  use format_defs, only: FMT_12

  implicit none
  private

  public :: qed_t

  type :: qed_t
     private
     real(default) :: alpha_qed = -1
   contains
     procedure :: write => qed_write
     procedure :: set_alpha_qed => qed_set_alpha_qed
     procedure :: get_alpha_qed => qed_get_alpha_qed
  end type qed_t


contains

  subroutine qed_write (qed, unit)
    class(qed_t), intent(in) :: qed
    integer, intent(in), optional :: unit
    integer :: u
    u = given_output_unit (unit);  if (u < 0)  return
    write (u, "(3x,A)")  "QED parameters (fixed coupling):"
    write (u, "(5x,A," // FMT_12 // ")")  "alpha_qed = ", qed%alpha_qed
  end subroutine qed_write

  subroutine qed_set_alpha_qed (qed, alpha_qed_in)
    class(qed_t), intent(inout) :: qed
    real(default), intent(in) :: alpha_qed_in
    qed%alpha_qed = alpha_qed_in
  end subroutine qed_set_alpha_qed

  function qed_get_alpha_qed (qed) result (alpha_qed_out)
    class(qed_t), intent(in) :: qed
    real(default) :: alpha_qed_out
    alpha_qed_out = qed%alpha_qed
  end function qed_get_alpha_qed


end module sm_qed
